Package weka.core.pmml.jaxbbindings

# Enum Class TIMEANCHOR2

java.lang.Object
java.lang.Enum<TIMEANCHOR2>
weka.core.pmml.jaxbbindings.TIMEANCHOR2

All Implemented Interfaces:
  `Serializable`, `Comparable<TIMEANCHOR2>`, `Constable`

public enum TIMEANCHOR2 extends Enum<TIMEANCHOR2>

Java class for TIME-ANCHOR.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="TIME-ANCHOR">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="dateTimeMillisecondsSince[0]"/>
         <enumeration value="dateTimeMillisecondsSince[1960]"/>
         <enumeration value="dateTimeMillisecondsSince[1970]"/>
         <enumeration value="dateTimeMillisecondsSince[1980]"/>
         <enumeration value="dateTimeSecondsSince[0]"/>
         <enumeration value="dateTimeSecondsSince[1960]"/>
         <enumeration value="dateTimeSecondsSince[1970]"/>
         <enumeration value="dateTimeSecondsSince[1980]"/>
         <enumeration value="dateDaysSince[0]"/>
         <enumeration value="dateDaysSince[1960]"/>
         <enumeration value="dateDaysSince[1970]"/>
         <enumeration value="dateDaysSince[1980]"/>
         <enumeration value="dateMonthsSince[0]"/>
         <enumeration value="dateMonthsSince[1960]"/>
         <enumeration value="dateMonthsSince[1970]"/>
         <enumeration value="dateMonthsSince[1980]"/>
         <enumeration value="dateYearsSince[0]"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATE_DAYS_SINCE_0`
  `DATE_DAYS_SINCE_1960`
  `DATE_DAYS_SINCE_1970`
  `DATE_DAYS_SINCE_1980`
  `DATE_MONTHS_SINCE_0`
  `DATE_MONTHS_SINCE_1960`
  `DATE_MONTHS_SINCE_1970`
  `DATE_MONTHS_SINCE_1980`
  `DATE_TIME_MILLISECONDS_SINCE_0`
  `DATE_TIME_MILLISECONDS_SINCE_1960`
  `DATE_TIME_MILLISECONDS_SINCE_1970`
  `DATE_TIME_MILLISECONDS_SINCE_1980`
  `DATE_TIME_SECONDS_SINCE_0`
  `DATE_TIME_SECONDS_SINCE_1960`
  `DATE_TIME_SECONDS_SINCE_1970`
  `DATE_TIME_SECONDS_SINCE_1980`
  `DATE_YEARS_SINCE_0`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TIMEANCHOR2`
  `fromValue(String v)`
  `String`
  `value()`
  `static TIMEANCHOR2`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TIMEANCHOR2[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DATE_DAYS_SINCE_0

    public static final TIMEANCHOR2 DATE_DAYS_SINCE_0

  - ### DATE_DAYS_SINCE_1960

    public static final TIMEANCHOR2 DATE_DAYS_SINCE_1960

  - ### DATE_DAYS_SINCE_1970

    public static final TIMEANCHOR2 DATE_DAYS_SINCE_1970

  - ### DATE_DAYS_SINCE_1980

    public static final TIMEANCHOR2 DATE_DAYS_SINCE_1980

  - ### DATE_MONTHS_SINCE_0

    public static final TIMEANCHOR2 DATE_MONTHS_SINCE_0

  - ### DATE_MONTHS_SINCE_1960

    public static final TIMEANCHOR2 DATE_MONTHS_SINCE_1960

  - ### DATE_MONTHS_SINCE_1970

    public static final TIMEANCHOR2 DATE_MONTHS_SINCE_1970

  - ### DATE_MONTHS_SINCE_1980

    public static final TIMEANCHOR2 DATE_MONTHS_SINCE_1980

  - ### DATE_TIME_MILLISECONDS_SINCE_0

    public static final TIMEANCHOR2 DATE_TIME_MILLISECONDS_SINCE_0

  - ### DATE_TIME_MILLISECONDS_SINCE_1960

    public static final TIMEANCHOR2 DATE_TIME_MILLISECONDS_SINCE_1960

  - ### DATE_TIME_MILLISECONDS_SINCE_1970

    public static final TIMEANCHOR2 DATE_TIME_MILLISECONDS_SINCE_1970

  - ### DATE_TIME_MILLISECONDS_SINCE_1980

    public static final TIMEANCHOR2 DATE_TIME_MILLISECONDS_SINCE_1980

  - ### DATE_TIME_SECONDS_SINCE_0

    public static final TIMEANCHOR2 DATE_TIME_SECONDS_SINCE_0

  - ### DATE_TIME_SECONDS_SINCE_1960

    public static final TIMEANCHOR2 DATE_TIME_SECONDS_SINCE_1960

  - ### DATE_TIME_SECONDS_SINCE_1970

    public static final TIMEANCHOR2 DATE_TIME_SECONDS_SINCE_1970

  - ### DATE_TIME_SECONDS_SINCE_1980

    public static final TIMEANCHOR2 DATE_TIME_SECONDS_SINCE_1980

  - ### DATE_YEARS_SINCE_0

    public static final TIMEANCHOR2 DATE_YEARS_SINCE_0

- ## Method Details

  - ### values

    public static TIMEANCHOR2[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TIMEANCHOR2 valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static TIMEANCHOR2 fromValue(String v)